Subject: [PATCH v4 1/4] regulator: helper routine to extract regulator_init_data

From: [email-masked] (Rajendra Nayak)
Date: Mon, 07 Nov 2011 11:53:36 +0530

Hi Olof,

On Saturday 05 November 2011 01:59 AM, Olof Johansson wrote:
>> +- regulator-min-uV: smallest voltage consumers may set
>> >  +- regulator-max-uV: largest voltage consumers may set
>> >  +- regulator-uV-offset: Offset applied to voltages to compensate for voltage drops
>> >  +- regulator-min-uA: smallest current consumers may set
>> >  +- regulator-max-uA: largest current consumers may set
>> >  +- regulator-always-on: boolean, regulator should never be disabled
>> >  +- regulator-boot-on: bootloader/firmware enabled regulator
 >
> Once you have a compatible field that can determine what kind of device node,
> and binding, this is, you can drop the regulator- prefix and save some space in
> the device tree. Properties are rarely prefixed by their subsystem. Only
> exception would/could be the regulator-name property where it could make
> sense to keep the prefix.

given that we decided not to have a compatible field like "regulator"
for the top-level bindings and instead have a device specific one,
and based on the discussions with Grant here[1], I hope its OK to keep
these the way they are.

regards,
Rajendra

[1] 
http://lists.ozlabs.org/pipermail/devicetree-discuss/2011-September/008196.html